mysql-server-5.1 5.1.30-2ubuntu3 fails to install/upgrade / doesn't start - skip-bdb option unsupported (amarok)

Bug #316849 reported by Mathias Gug on 2009-01-13
108
This bug affects 5 people
Affects Status Importance Assigned to Milestone
mysql-dfsg-5.0 (Ubuntu)
High
Mathias Gug
mysql-dfsg-5.1 (Ubuntu)
High
Mathias Gug

Bug Description

When trying to install mysql-server-5.1, mysqld fails to start. Looking at /var/log/daemon.log, the skip-bdb option is used to start mysqld.

This is option is set in my.cnf provided by mysql-common.

WORKAROUND:

Edit (as root) /etc/mysql/my.cnf, and comment out the 'skip-bdb' line.

Mathias Gug (mathiaz) on 2009-01-13
Changed in mysql-dfsg-5.1:
importance: Undecided → High
milestone: none → ubuntu-9.04-beta
Andreas Olsson (andol) wrote :

Have you done a fresh install of 9.04 or is it an uppgrade?

In my freshly installed 9.04-alfa2 there is no mention of skip-bdb in /etc/mysql/my.cnf

But yes, if I myself add the option skip-bdb to my /etc/mysql/my.cnf I do get the same error.

Andreas Olsson (andol) wrote :

Well, the most recent upgrade of mysql-common did give me a /etc/mysql/my.cnf containing the skip-bdb option, breaking mysql-server startup.

Changed in mysql-dfsg-5.1:
status: New → Confirmed
C de-Avillez (hggdh2) on 2009-01-14
description: updated

It works here too:

Commenting out the skip-bdb line enabled me to finish amarok 2.0 installation on a recent jaunty installation.

Simon (simon-senica) wrote :

The same worked for me when installing amarok 2.

Alfredo Deza (arufuredosan) wrote :

I confirm I have the same bug with a fresh install of Ubuntu 9.04 Alpha-3 release desktop i386 edition.

The solution of commenting out the skip-bdb line worked and Mysql was able to finish the installation.

jyio (inportb) wrote :

Interesting... this worked for me. But this is of course not an ideal solution as I'd rather not deal with the overhead.

Niels Egberts (nielsegberts) wrote :

Thanks for the workaround.

Andrew M. (ender-neo) wrote :

works here too. (jaunty upgrade from 8.10 clean install x86) thanks for the workaround.

Mathias Gug (mathiaz) on 2009-01-21
description: updated
Mathias Gug (mathiaz) on 2009-01-22
Changed in mysql-dfsg-5.0:
importance: Undecided → High
status: New → In Progress
Changed in mysql-dfsg-5.1:
status: Confirmed → In Progress
assignee: nobody → mathiaz
Changed in mysql-dfsg-5.0:
assignee: nobody → mathiaz
Mathias Gug (mathiaz) wrote :

Should fixed with the new version of mysql-dfsg-5.0 which doesn't have the skip-bdb option set in my.cnf.

Changed in mysql-dfsg-5.1:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mysql-dfsg-5.0 - 5.1.30really5.0.75-0ubuntu3

---------------
mysql-dfsg-5.0 (5.1.30really5.0.75-0ubuntu3) jaunty; urgency=low

  * debian/additions/my.cnf: remove skip-bdb option. This option is not
    available in 5.1 anymore. Moreover 5.0 isn't build with the BerkeleyDB
    engine. (LP: #316849)
  * debian/mysql-sever-core-5.0.files: move character sets files to -core as
    they're required for mysqld to properly support character sets.

 -- Mathias Gug <email address hidden> Wed, 21 Jan 2009 19:41:14 -0500

Changed in mysql-dfsg-5.0:
status: In Progress → Fix Released
Tom Worley (tom-worley) wrote :

I can confirm this bug still exists in mysql-server-5.1 (5.1.30-2ubuntu3), from an upgrade of Intrepid to Jaunty, then installing 5.1.
This breaks the upgrade, however, commenting out skip-bdb fix works and apt continues the upgrade

On Thu, Jan 22, 2009 at 02:22:02AM -0000, Tom Worley wrote:
> I can confirm this bug still exists in mysql-server-5.1 (5.1.30-2ubuntu3), from an upgrade of Intrepid to Jaunty, then installing 5.1.
> This breaks the upgrade, however, commenting out skip-bdb fix works and apt continues the upgrade

Could you check if mysql-common has been upgraded? If so have you been
prompted for a configuration change? If so did you accept it?

mysql-common is part of mysql-dfsg-5.0 and not mysql-dsfg-5.1. The fix
for this bug is in mysql-dfsg-5.0 - mysql-dfsg-5.1 hasn't been changed.

--
Mathias Gug
Ubuntu Developer http://www.ubuntu.com

Sorry, I cannot check this anymore, my installation was completely messed up.
I removed it.

Tim Kuip
===============================
On Thursday 22 January 2009 16:45:45 Mathias Gug wrote:
> On Thu, Jan 22, 2009 at 02:22:02AM -0000, Tom Worley wrote:
> > I can confirm this bug still exists in mysql-server-5.1
> > (5.1.30-2ubuntu3), from an upgrade of Intrepid to Jaunty, then installing
> > 5.1. This breaks the upgrade, however, commenting out skip-bdb fix works
> > and apt continues the upgrade
>
> Could you check if mysql-common has been upgraded? If so have you been
> prompted for a configuration change? If so did you accept it?
>
>
> mysql-common is part of mysql-dfsg-5.0 and not mysql-dsfg-5.1. The fix
> for this bug is in mysql-dfsg-5.0 - mysql-dfsg-5.1 hasn't been changed.
>
> --
> Mathias Gug
> Ubuntu Developer http://www.ubuntu.com

Mathias Gug (mathiaz) on 2009-01-22
Changed in mysql-dfsg-5.1:
status: Fix Committed → Fix Released
birdflesh (birdflesh) wrote :

It's happening again during the upgrade to 5.1.30-2ubuntu4 . Furthermore /etc/mysql/my.cnf does not contain the skip-bdb option to comment out.

jyio (inportb) wrote :

Hm... perhaps that's why it was kept back.

Simon (simon-senica) wrote :

Same happened here:
Jan 26 20:24:05 simon-desktop mysqld_safe[8415]:
Jan 26 20:24:05 simon-desktop mysqld_safe[8415]: FATAL ERROR: Could not find /fill_help_tables.sql
Jan 26 20:24:05 simon-desktop mysqld_safe[8415]:
Jan 26 20:24:05 simon-desktop mysqld_safe[8415]: If you compiled from source, you need to run 'make install' to
Jan 26 20:24:05 simon-desktop mysqld_safe[8415]: copy the software into the correct location ready for operation.
Jan 26 20:24:05 simon-desktop mysqld_safe[8415]:
Jan 26 20:24:05 simon-desktop mysqld_safe[8415]: If you are using a binary release, you must either be at the top
Jan 26 20:24:05 simon-desktop mysqld_safe[8415]: level of the extracted archive, or pass the --basedir option
Jan 26 20:24:05 simon-desktop mysqld_safe[8415]: pointing to that location.
Jan 26 20:24:05 simon-desktop mysqld_safe[8415]:
Jan 26 20:24:05 simon-desktop mysqld_safe[8442]: 090126 20:24:05 [ERROR] Can't find messagefile '/usr/share/mysql/english/errmsg.sys'
Jan 26 20:24:05 simon-desktop mysqld_safe[8442]: 090126 20:24:05 InnoDB: Started; log sequence number 0 46409
Jan 26 20:24:05 simon-desktop mysqld_safe[8442]: 090126 20:24:05 [ERROR] Aborting
Jan 26 20:24:05 simon-desktop mysqld_safe[8442]:
Jan 26 20:24:05 simon-desktop mysqld_safe[8442]: 090126 20:24:05 InnoDB: Starting shutdown...
Jan 26 20:24:06 simon-desktop mysqld_safe[8442]: 090126 20:24:06 InnoDB: Shutdown completed; log sequence number 0 46409
Jan 26 20:24:06 simon-desktop mysqld_safe[8442]: 090126 20:24:06 [Note]
Jan 26 20:24:06 simon-desktop mysqld_safe[8458]: 090126 20:24:06 [ERROR] Can't find messagefile '/usr/share/mysql/english/errmsg.sys'
Jan 26 20:24:06 simon-desktop mysqld_safe[8458]: 090126 20:24:06 InnoDB: Started; log sequence number 0 46409
Jan 26 20:24:06 simon-desktop mysqld_safe[8458]: 090126 20:24:06 [ERROR] Aborting
Jan 26 20:24:06 simon-desktop mysqld_safe[8458]:
Jan 26 20:24:06 simon-desktop mysqld_safe[8458]: 090126 20:24:06 InnoDB: Starting shutdown...
Jan 26 20:24:08 simon-desktop mysqld_safe[8458]: 090126 20:24:08 InnoDB: Shutdown completed; log sequence number 0 46409
Jan 26 20:24:08 simon-desktop mysqld_safe[8458]: 090126 20:24:08 [Note]
Jan 26 20:24:08 simon-desktop mysqld_safe[8471]: 090126 20:24:08 [ERROR] Can't find messagefile '/usr/share/mysql/english/errmsg.sys'
Jan 26 20:24:08 simon-desktop mysqld_safe[8471]: 090126 20:24:08 InnoDB: Started; log sequence number 0 46409
Jan 26 20:24:08 simon-desktop mysqld_safe[8471]: 090126 20:24:08 [ERROR] Aborting

simon@simon-desktop:~$ sudo ln -s /usr/share/mysql-5.1/mysql /usr/share/mysql - fixed the problem

Tich (tichondrius) wrote :

>sudo ln -s /usr/share/mysql-5.1/mysql /usr/share/mysql

Thanks, that fixed it for me too.

jyio (inportb) wrote :

Indeed! The workaround does the trick.

Confirming this bug still present upgrading Jaunty => Karmic a couple days ago.
The presence of skip-bdb in my.cnf (and keeping existing config) prevented mysql-server restart after upgrade, and made package upgrade fail.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers